## net.i2p.client.streaming
Class SchedulerClosed

    java.lang.Object
      net.i2p.client.streaming.SchedulerImpl
          net.i2p.client.streaming.SchedulerClosed

All Implemented Interfaces:
  TaskScheduler

     class SchedulerClosed

extends SchedulerImpl

Scheduler used for after both sides have had their close packets ACKed, but the final timeout hasn't passed.

## Entry conditions:

- Both sides have closed and ACKed.
- Less than the final timeout period has passed since the last ACK.

## Events:

- Packets received
- RESET received
- Message sending fails (error talking to the session)

## Next states:

- `dead` - after the final timeout passes

Field Summary

Fields inherited from class net.i2p.client.streaming.SchedulerImpl
`_context`

Constructor Summary
`SchedulerClosed(I2PAppContext ctx)`

Method Summary
`boolean` `accept(Connection con)`
`void` `eventOccurred(Connection con)`

Methods inherited from class net.i2p.client.streaming.SchedulerImpl
`reschedule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerClosed

    public SchedulerClosed(I2PAppContext ctx)

Method Detail

### accept

    public boolean accept(Connection con)

### eventOccurred

    public void eventOccurred(Connection con)